package org.w3c.rdfpic.ui;
import javax.swing.ImageIcon;
import java.net.URL;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Image;
/**
 * An ImageIcon that scales to fit as opposed to remaining constantly sized.
 */

public class ScalableImageIcon extends ImageIcon {

    public ScalableImageIcon(URL url)
    {
	super(url);
    }
    public ScalableImageIcon()
    {
	super();
    }
    public ScalableImageIcon(Image img)
    {
	super(img);
    }
    public synchronized void paintIcon(Graphics g, 
                                       int x, int y, int w, int h,
                                       Color bgcolor) 
    {
        g.drawImage(getImage(), x, y, w, h, bgcolor, getImageObserver());
    }
}
