package org.w3c.rdfpic.ui;
import org.w3c.rdfpic.core.*;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JLabel;
import java.awt.event.KeyEvent;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.net.URL;
import java.net.MalformedURLException;
import java.io.IOException;
import javax.swing.JOptionPane;

/**
 * Provides a dialog box to ask the user which schema to load.
 */
public class SchemaLoader extends JDialog implements ActionListener
{
    JTextField textField;
    RdfPicCore core;
    /**
     * Set's up the dialog box, without yet displaying it.
     */
    public SchemaLoader(JFrame parent,RdfPicCore core)
    {
	super(parent,"Load Schema:",false);
	this.core=core;
	JPanel container=new JPanel();
	container.add(new JLabel("Enter URL of Schema : "));
	textField = new JTextField(20);
	textField.addActionListener(this);
	container.add(textField);
	JButton buttonOK;
	buttonOK=new JButton("Load");
	buttonOK.setMnemonic(KeyEvent.VK_L);
	buttonOK.addActionListener(this);
	container.add(buttonOK);
	setContentPane(container);
    }
    /**
     * Displays the dialog box.
     */
    public void start()
    {
	pack();
	setVisible(true);
    }

    public void actionPerformed(ActionEvent evt)//textField is OK
    {
	String text = textField.getText();
	URL url;
	try {
	    url = new URL(text);
	} catch (MalformedURLException e) {
	    JOptionPane.showMessageDialog(this,"The URL you entered is invalid, please\n"
					  +    "enter another one or close the dialog.",
					  "Invalid URL: "+e.toString(),JOptionPane.INFORMATION_MESSAGE);
	    return;
	}
	try {
	    core.addSchema(url);
	} catch (IOException e){
	    JOptionPane.showMessageDialog(this,"Unable to use that URL, please\n"
					  +    "enter another one or close the dialog.",
					  "Illegal URL: "+e.toString(),JOptionPane.INFORMATION_MESSAGE);
	    return;
	}
	dispose();
    }
}
